installing RedCloth gem on ubuntu 9.04 64 -bit



Hi i am using ubuntu jaunty 9.04,64 bit on a intel core 2 duo
i'm usung using ruby 1.8.7 (64-linux) and rubygems 1.3.5
i have a problem installing RedCloth 4.2.2 gem

sachin@arjun:~$ sudo gem install RedCloth
Building native extensions. This could take a while...
ERROR: Error installing RedCloth:
ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb
creating Makefile

make
cc -I. -I/usr/lib/ruby/1.8/x86_64-linux -I/usr/lib/ruby/1.8/x86_64-linux
-I. -fPIC -fno-strict-aliasing -g -g -O2 -fPIC -O2 -c
redcloth_scan.c
ext/redcloth_scan/redcloth_scan.c.rl: In function ‘redcloth_transform’:
ext/redcloth_scan/redcloth_scan.c.rl:65: internal compiler error:
Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.3/README.Bugs> for instructions.
make: *** [redcloth_scan.o] Error 1

Gem files will remain installed in
/usr/lib/ruby/gems/1.8/gems/RedCloth-4.2.2 for inspection.
Results logged to
/usr/lib/ruby/gems/1.8/gems/RedCloth-4.2.2/ext/redcloth_scan/gem_make.out

i already have ruby1.8-dev and build-essentials which are requird to
comile RedCloth gem
--
Posted via http://www.ruby-forum.com/.

.



Relevant Pages

  • Trying to install pg on 32bit Snow Leopard 10.6
    ... I'm trying to install the "pg" gem on 32-bit snow leopard and I'm ... Building native extensions. ... checking for PQconnectdb() in -llibpq... ...
    (comp.lang.ruby)
  • Re: Cant install sqlite3 on Windows XP: Please Help!
    ... Further updated instructions here: ... Building native extensions. ... Failed to build gem native extension. ...
    (comp.lang.ruby)
  • Re: the problem of install mysql driver using gem for Rails
    ... Attempting remote installation of 'mysql' ... Building native extensions. ... Failed to build gem native extension. ... The MySQL driver apparently requires compilation of the native bindings. ...
    (comp.lang.ruby)
  • Re: [ANN] IHelp 0.4.0 - full text search
    ... sudo gem install ihelp ... Building native extensions. ... No builder for extension 'lib/ihelp_reindex.rb' ... ERROR: While executing gem ... ...
    (comp.lang.ruby)
  • Re: issue with gem
    ... I did it from repositories, so I'd assume that that would all be taken ... after reinstalling ruby, ruby1.8, and ruby1.9 again from the ... Building native extensions. ... ERROR: While executing gem ... ...
    (comp.lang.ruby)